=== debian/changelog ===
rocm-device-libs (5.0.0-1) unstable; urgency=medium

  [ Maxime Chambonnet ]
  * New upstream version 5.0.0
  * d/rules: -$(RM) obj-* (temporary build directory).
  * Update LLVM BD to version 14

  [ Étienne Mollier ]
  * cmake-amdgcn-bitcode.patch: forwarded upstream
  * d/rules: make clean step triplet independent
  * d/control: rocm-device-libs Architecture: any
  * cmake-amdgcn-bitcode.patch: target TRIPLET

  [ Mo Zhou ]
  * Add versioned requirement (>= 5.0.0~) on B-D rocm-cmake.
  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Mon, 14 Feb 2022 16:05:54 -0500

rocm-device-libs (4.5.2-1~exp1) experimental; urgency=medium

  * Initial release. (Closes: #1004309)

 -- Étienne Mollier <emollier@debian.org>  Thu, 03 Feb 2022 22:23:34 +0100
