=== debian/control ===
Source: rocm-device-libs
Section: devel
Homepage: https://github.com/RadeonOpenCompute/ROCm-Device-Libs/
Priority: optional
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/rocm-team/rocm-device-libs.git
Vcs-Browser: https://salsa.debian.org/rocm-team/rocm-device-libs
Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
Uploaders: Mo Zhou <lumin@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Étienne Mollier <emollier@debian.org>,
           Maxime Chambonnet <maxzor@maxzor.eu>
Build-Depends: cmake,
               debhelper-compat (= 13),
               clang-14,
               libclang-14-dev,
               llvm-14-dev,
               rocm-cmake (>= 5.0.0~),
               zlib1g-dev
Rules-Requires-Root: no

Package: rocm-device-libs
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: AMD specific device-side language runtime libraries
 Set of AMD specific device-side language runtime libraries, specifically: the
 Open Compute library controls, the Open Compute Math library, the Open Compute
 Kernel library, the OpenCL built-in library, the HIP built-in library, and the
 Heterogeneous Compute built-in library.
