=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=-all

%:
	dh $@ -Scmake

execute_before_dh_clean:
	-$(RM) -rf obj-*/
