## rocm-device-libs 5.1.0

=== debian/changelog ===
rocm-device-libs (5.1.0-1) unstable; urgency=medium

  * New upstream version 5.1.0
  * Require rocm-cmake (>= 5.1.0~) as B-D.

 -- Mo Zhou <lumin@debian.org>  Thu, 07 Apr 2022 12:21:26 -0400
