=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                clang-14,
                libclang-14-dev,
                llvm-14-dev,
-               rocm-cmake (>= 5.0.0~),
+               rocm-cmake (>= 5.1.0~),
                zlib1g-dev
 Rules-Requires-Root: no
