## rocm-device-libs 5.2.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -84,7 +84,12 @@
   set ( CPACK_PACKAGE_CONTACT "Advanced Micro Devices Inc." )
   set ( CPACK_PACKAGE_DESCRIPTION_SUMMARY "Radeon Open Compute - device libraries" )
   set ( CPACK_PACKAGE_DESCRIPTION "This package includes LLVM bitcode libraries." )
+  set ( CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/LICENSE.TXT" )
   set ( CPACK_DEBIAN_PACKAGE_HOMEPAGE "https://github.com/RadeonOpenCompute/ROCm-Device-Libs" )
+
+  # Install License file
+  install ( FILES "${CPACK_RESOURCE_FILE_LICENSE}"
+          DESTINATION ${CMAKE_INSTALL_DOCDIR}/${CPACK_PACKAGE_NAME})
 
   set ( CPACK_GENERATOR "DEB;RPM" CACHE STRING "Default packaging generators." )
 
@@ -107,6 +112,7 @@
   endif()
   ## get distro for RPM package using dist
   message("device-libs CPACK_RPM_PACKAGE_RELEASE now is ${CPACK_RPM_PACKAGE_RELEASE}")
+  set( CPACK_RPM_PACKAGE_LICENSE "NCSA" )
 
   execute_process( COMMAND rpm --eval %{?dist}
                  RESULT_VARIABLE _result_var
