=== debian/changelog ===
rocm-device-libs (5.2.3-2) unstable; urgency=medium

  * d/rules: link atomic for platforms which need it.
  * d/salsa-ci.yml: disable blhc test; no hardening.

 -- Étienne Mollier <emollier@debian.org>  Sun, 20 Nov 2022 19:41:59 +0100

rocm-device-libs (5.2.3-1) unstable; urgency=medium

  * Migrate ROCm 5.2.3 to unstable.
  * d/control: build depends on ROCm 5.2 packages.
  * d/control: bump build dependency to llvm 15.
  * d/control: update build-dependencies to new llvm packages layout.

 -- Étienne Mollier <emollier@debian.org>  Tue, 18 Oct 2022 18:03:30 +0200

rocm-device-libs (5.2.3-1~0exp0) experimental; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * d/rules: remove directory tree containing only an extra license file.

 -- Étienne Mollier <emollier@debian.org>  Tue, 06 Sep 2022 20:33:33 +0200
