=== debian/control ===
Source: rocm-device-libs
Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
Uploaders: Mo Zhou <lumin@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Étienne Mollier <emollier@debian.org>,
           Maxime Chambonnet <maxzor@maxzor.eu>
Section: devel
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               clangd-15,
               clang-15,
               clang-format-15,
               clang-tidy-15,
               clang-tools-15,
               libclang-15-dev,
               libmlir-15-dev,
               llvm-15-dev,
               mlir-15-tools,
               rocm-cmake (>= 5.2.0~),
               zlib1g-dev
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/rocm-team/rocm-device-libs
Vcs-Git: https://salsa.debian.org/rocm-team/rocm-device-libs.git
Homepage: https://github.com/RadeonOpenCompute/ROCm-Device-Libs/
Rules-Requires-Root: no

Package: rocm-device-libs
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: AMD specific device-side language runtime libraries
 Set of AMD specific device-side language runtime libraries, specifically: the
 Open Compute library controls, the Open Compute Math library, the Open Compute
 Kernel library, the OpenCL built-in library, the HIP built-in library, and the
 Heterogeneous Compute built-in library.
