## rocm-device-libs 6.0+git20231212.5a852ed

=== CMakeLists.txt ===
--- 
+++ 
@@ -61,7 +61,6 @@
 
 set(AMDGCN_LIB_LIST)
 set(AMDGCN_DEP_LIST)
-add_subdirectory(irif)
 add_subdirectory(oclc)
 add_subdirectory(ocml)
 add_subdirectory(ockl)
@@ -70,7 +69,7 @@
 add_subdirectory(asanrtl)
 
 enable_testing()
-add_subdirectory(test/constant_folding)
+add_subdirectory(test/compile)
 
 include(Packages)
 
@@ -89,7 +88,7 @@
 
   # Install License file
   install ( FILES "${CPACK_RESOURCE_FILE_LICENSE}"
-          DESTINATION ${CMAKE_INSTALL_DOCDIR}/${CPACK_PACKAGE_NAME})
+          DESTINATION ${CMAKE_INSTALL_DOCDIR})
 
   set ( CPACK_GENERATOR "DEB;RPM" CACHE STRING "Default packaging generators." )
