=== debian/changelog ===
rocm-device-libs (6.0+git20231212.5a852ed-2) unstable; urgency=medium

  * d/rules: strip unsupported -fno-cf-protection flag
  * d/control: trim build-depends

 -- Cordell Bloor <cgmb@slerp.xyz>  Fri, 23 Feb 2024 22:30:22 -0700

rocm-device-libs (6.0+git20231212.5a852ed-1) unstable; urgency=medium

  * Migrate to unstable. (Closes #1055950)

 -- Cordell Bloor <cgmb@slerp.xyz>  Wed, 21 Feb 2024 23:59:44 -0700

rocm-device-libs (6.0+git20231212.5a852ed-1~exp1) experimental; urgency=medium

  * New upstream version 6.0+git20231212.5a852ed
  * Remove rocm-device-libs binary package for LLVM 15
  * Add rocm-device-libs-17 binary package for LLVM 17
  * Move bitcode files to clang resource directory
  * Update upstream URLs
  * Add self to uploaders

 -- Cordell Bloor <cgmb@slerp.xyz>  Fri, 05 Jan 2024 01:39:54 -0700

rocm-device-libs (5.2.3-3) unstable; urgency=medium

  * Add libzstd-dev to Build-Depends. (Closes: #1045688)
  * Add myself to Uploaders
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Christian Kastner <ckk@debian.org>  Tue, 15 Aug 2023 22:37:41 +0200
