=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,10 @@
 ifneq ($(filter $(DEB_HOST_ARCH),armel mipsel powerpc),)
 CMAKEFLAGS += -DCMAKE_CXX_STANDARD_LIBRARIES=-latomic
 endif
+
+# strip unsupported flags
+CFLAGS := $(subst -fno-cf-protection,,$(CXXFLAGS))
+CXXFLAGS := $(subst -fno-cf-protection,,$(CXXFLAGS))
 
 %:
 	dh $@ -Scmake
@@ -16,4 +20,4 @@
 
 execute_before_dh_install:
 	# The directory below only contains a license file deep in the tree.
-	rm -rvf $(CURDIR)/debian/rocm-device-libs/usr/share/doc/ROCm-Device-Libs
+	rm -rvf $(CURDIR)/debian/rocm-device-libs-17/usr/share/doc/ROCm-Device-Libs
