=== debian/watch ===
version=4
opts="mode=git, pretty=6.0+git%cd.%h, pgpmode=none" \
	https://github.com/ROCm/ROCm-Device-Libs \
	heads/release/17.x debian uupdate
